Question about LT+ v3.0

Discussion in 'Console Help Center' started by Specter, Feb 17, 2012.

  1. Specter

    Specter Elite Member

    Joined:
    Sep 23, 2011
    Messages:
    66
    Likes Received:
    3
    Location:
    USG Ishimura
    Hi mates,

    I currently have LT+ v2.0 and i can play backups of 2011 games.

    If i updated to v3.0, can i still play my old backups?

    Also, currently i cannot play any game backup released in 2012 like Soul Calibur 5, is LT+ v2.0 is my problem?

    thx alot ^_^
     
  2. Rick

    Rick Moderator

    Joined:
    Jul 14, 2010
    Messages:
    2,853
    Likes Received:
    1,285
    Location:
    The Matrix
    Specter likes this.
  3. Specter

    Specter Elite Member

    Joined:
    Sep 23, 2011
    Messages:
    66
    Likes Received:
    3
    Location:
    USG Ishimura
    aha, hopefully i dont have any online access. also i didn't updated my dah since last December. I hope this method works.
    thx
     
  4. Specter

    Specter Elite Member

    Joined:
    Sep 23, 2011
    Messages:
    66
    Likes Received:
    3
    Location:
    USG Ishimura
    hey mate, u r method worked. I played SC5 on LT+ v2.0.
    Ezio looks awsome
    thx alot
     

Share This Page